
@rem    Program/script:	order_win.bat
@rem	Created:	26-May-2006
@rem	Written:	by Viktor Zerkin, V.Zerkin@iaea.org
@rem	Organization:	Nuclear Data Section
@rem			International Atomic Energy Agency (IAEA)
@rem			Wagramer Strasse 5, P.O.Box 100, A-1400
@rem			Vienna, Austria
@rem	Purpose:	to be used under EXFOR-Editor
@rem	Sent to:	S.Taova and G.Pikulina (VNNIEF, Sarov, Russia)

@rem	Usage:		order_win.bat file.x4

@echo.
@echo === Running EXFOR Ordering Code ZORDER ===
@echo.

	@if not .%1==. goto Run
	@echo ===Error: EXFOR data file should be defined as parameter of this batch
	@pause
	@exit

:Run
rem	cd .\ORDER\order_windows
	set nowdir=%~dp0
	echo %nowdir%
	cd %nowdir%order_windows

	@set x4file=%1
@rem	set x4file=e1943.x4
	@set x4errfile=%x4file%.err
	@set x4ordfile=%x4file%.ord
	@set x4outfile=%x4file%.out
	del %x4outfile%

	@echo --- Parameters:
	@echo    (in)  EXFOR file:             [%x4file%]
	@echo    (out) Ordered EXFOR file:     [%x4ordfile%]
	@echo    (out) Program output:         [%x4outfile%]
	@echo.

	@if exist %x4file% goto Run2
	@echo === Error: EXFOR data file [%x4file%] should exist
	@pause
	@exit

:Run2

	@echo %x4file%>aaa.inp
	@echo %x4ordfile%>>aaa.inp
	@echo.>>aaa.inp

@rem	zorderw.exe <aaa.inp >>%x4outfile%
	zorderw.exe <aaa.inp
@rem
@rem	pause
