
@rem    Program/script:	rchex_win.bat
@rem	Created:	18-Oct-2005
@rem	Written:	by Viktor Zerkin, V.Zerkin@iaea.org
@rem	Organization:	Nuclear Data Section
@rem			International Atomic Energy Agency (IAEA)
@rem			Wagramer Strasse 5, P.O.Box 100, A-1400
@rem			Vienna, Austria
@rem	Purpose:	to be used under EXFOR-Editor
@rem	Sent to:	S.Taova and G.Pikulina (VNNIEF, Sarov, Russia)

@rem	Usage:		rchex_win.bat file.x4

@echo.
@echo === Running EXFOR Checking Code ZCHEX ===
@echo.

	@if not .%1==. goto Run
	@echo ===Error: EXFOR data file should be defined as parameter of this batch
	@pause
	@exit

:Run
@rem	cd .\ZCHEX\zchex_windows
	set nowdir=%~dp0
	echo %nowdir%
	cd %nowdir%zchex_windows

	@set x4file=%1
@rem	set x4file=e1943.x4
	@set x4errfile=%x4file%.err
	@set x4outfile=%x4file%.out
	del %x4outfile%
        @set noprm=n

	@echo --- Parameters:
	@echo    (in)  EXFOR file:     [%x4file%]
	@echo    (out) Error file:     [%x4errfile%]
	@echo    (out) Program output: [%x4outfile%]
	@echo.

	@if exist %x4file% goto Run2
	@echo === Error: EXFOR data file [%x4file%] should exist
	@pause
	@exit

:Run2

	@echo %x4file%>aaa.inp
	@echo %x4errfile%>>aaa.inp
	@echo.>>aaa.inp
	@echo.>>aaa.inp
	@echo %noprm%>>aaa.inp
	@echo.>>aaa.inp

@rem	zchexw.exe <aaa.inp >>%x4outfile%
	zchexw.exe <aaa.inp
@rem	pause
