<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output 
    method="html" 
    indent="yes" 
    encoding="UTF-8" 
    doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
    doctype-system="http://www.w3.org/TR/html4/loose.dtd" />

<!--

 Janis Import Log
 
-->

<xsl:decimal-format decimal-separator="." grouping-separator="," />

<xsl:template match="/">
<html>
  <head>
    <title>JANIS Import log</title>
    <style type="text/css">
    .bannercell {
      border: 0px;
      padding: 0px;
    }
    body {
      margin: 0;
      font:normal 100% arial,helvetica,sanserif;
      background-color:#FFFFFF;
      color:#000000;
    }
    table.status {
      font:bold 80% arial,helvetica,sanserif;
      background-color:#525D76;
      color:#ffffff;
    }
    table.log tr td, tr th {
      font-size: 80%;
    }
    .error {
      color:white;
      font:bold;
      background-color: #FF0000;
    }
    .warn {
      color:brown;
      background-color: #FFFF00;
    }
    .info {
      color:gray;
    }
    .debug{
      color:gray;
    }
    .a td { 
      background: #efefef;
    }
    .b td { 
      background: #fff;
    }
    
    .red td { 
      background: #ff5555;
    }
    .lightred td { 
      background: #ffcccc;
    }
    .yellow td { 
      background: #ffff55;
    }
    .lightyellow td { 
      background: #ffffcc;
    }
    .green td { 
      background: #55ff55;
    }
    .lightgreen td { 
      background: #ccffcc;
    }
    
    th, td {
      text-align: left;
      vertical-align: top;
    }
    th {
      background: #ccc;
      color: black;
    }
    table, th, td {
      border: none
    }
    .h td {
      font:bold 120% arial,helvetica,sanserif;
      text-align: center;
      background: #525D76;
      color: white;
      text-decoration: none;
      padding: 6px;
      margin-right: 2px;
      margin-left: 2px;
      margin-top: 0;
      margin-bottom: 0;
    }
    h3 {
      font:bold 80% arial,helvetica,sanserif;
      background: #525D76;
      color: white;
      text-decoration: none;
      padding: 5px;
      margin-right: 2px;
      margin-left: 2px;
      margin-bottom: 0;
    }
    .trace {
      font: 70% arial,helvetica,sanserif;
      margin-left: 20px;
    }
    </style>
  </head>
  <body>
    <!-- janis logo 
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
      <td valign="top" class="bannercell">
        <a href="http://jakarta.apache.org/">
        <img src="http://jakarta.apache.org/images/jakarta-logo.gif" alt="http://jakarta.apache.org" align="left" border="0"/>
        </a>
      </td>
      <td style="text-align:right;vertical-align:bottom">
        <a href="htp://jakarta.apache.org/ant">Jakarta Ant</a>
      </td>
    </tr>
    </table>
    -->
      
    <table border="0" width="100%">
    <tr><td><hr noshade="noshade" size="1"/></td></tr>
    </table>

    <xsl:apply-templates select="importlog"/>

    <!-- footer -->
    <table width="100%">
      <tr><td><hr noshade="noshade" size="1"/></td></tr>
      <tr><td>
      <div align="center"><font color="#525D76" size="-1"><em>
      JANIS Import Log
      </em></font></div>
      </td></tr>
    </table>
  </body>
</html>
</xsl:template>


<xsl:variable name="warnings_count" select="count(/importlog/warning)"/>
<xsl:variable name="exceptions_count" select="count(/importlog/exception)"/>
<xsl:variable name="statistics_count" select="count(/importlog/statistics/counts/entry)"/>

<xsl:template match="importlog">

  <!-- title -->
  <table border="1" cellspacing="0" cellpadding="0" width="100%" style="font-size:120%">
<!--    <tr class="h"><td><xsl:value-of select=".//@title"/></td></tr> 
    <tr class="h"><td><xsl:value-of select=".//@message"/></td></tr> -->
    <tr class="h"><td>Import Log + JEFF report</td></tr>
  </table>
  
<!--
	<xsl:variable name="warnings" select="//warning"/>
	<xsl:variable name="exceptions" select="//exception"/>
	<xsl:variable name="books_by_more_than_one_author" select="//book[count(author-ref) &gt; 1]"/>
    Total number of books by Robert Heinlein: <xsl:value-of select="count($books_by_rh)" />
-->  

  <!-- Index chapter -->
  <table border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">

	  <!-- exceptions -->
    <tr class="lightred"><td colspan="2"><b><xsl:copy-of select="$exceptions_count"/> Exceptions</b></td></tr>
		<xsl:for-each select="exception">
	  	<tr class="red">
	  		<td width="1"><xsl:value-of select="concat('#', position())"/></td>
	  		<td>
	  		<a>
	    		<xsl:attribute name="href"><xsl:value-of select="concat('#exception_', position())"/></xsl:attribute>
	    		<xsl:attribute name="name"><xsl:value-of select="concat('list_exception_', position())"/></xsl:attribute>
		  		<xsl:value-of select="concat(@class, ' : ', @message)"/>
		  	</a>
		  	</td>
		  </tr>
		</xsl:for-each>

	  <!-- warnings -->
    <tr class="lightyellow"><td colspan="2"><b><xsl:copy-of select="$warnings_count"/> Warnings</b></td></tr>
		<xsl:for-each select="warning">
	  	<tr class="yellow">
	  		<td width="1"><xsl:value-of select="concat('#', position())"/></td>
	  		<td>
	  		<a>
	    		<xsl:attribute name="href"><xsl:value-of select="concat('#warning_', position())"/></xsl:attribute>
	    		<xsl:attribute name="name"><xsl:value-of select="concat('list_warning_', position())"/></xsl:attribute>
	  			<xsl:value-of select="@message"/>
	  		</a>
		  	</td>
		  </tr>
		</xsl:for-each>

	  <!-- no stats -->
    
  </table>

  <!-- JEFF report chapters -->
  <h3>JEFF report : MF/MT</h3>
	<xsl:for-each select="statistics/counts/entry[starts-with(@key, 'MF 1 : STATS :')]">
  			<xsl:value-of select="substring-after(substring-after(@key,':'),':')"/>
  			<br />
	</xsl:for-each>
  
  <h3>JEFF report : MF2</h3>
	<xsl:for-each select="statistics/counts/entry[starts-with(@key, 'MF 2 : STATS MF2 :')]">
  			<xsl:value-of select="substring-after(substring-after(@key,':'),':')"/>
  			<br />
	</xsl:for-each>
  
  <!-- Exceptions chapter -->
  <h3>Exceptions</h3>
  <xsl:apply-templates select="exception"/>

  
  <!-- Warnings chapter -->
  <h3>Warnings</h3>
  <xsl:apply-templates select="warning"/>

  
  
</xsl:template>


<!--
***********************************************************************************************************************
	Exceptions
***********************************************************************************************************************
-->

<xsl:template match="exception">
  
  <a>
		<xsl:attribute name="name"><xsl:value-of select="concat('exception_', position())"/></xsl:attribute>
		<hr></hr>
<!--	  <h4><xsl:value-of select="@message"/></h4> -->
  </a>
  
  <!-- navigation -->
  <table border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
  	<tr class="red">
  		<td width="1"><xsl:value-of select="concat(position(), '/', $exceptions_count)"/></td>
  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#list_exception_', position())"/></xsl:attribute>list</a></td>
			<xsl:choose>
				<xsl:when test="position() &gt; 1">
		  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#exception_', position()-1)"/></xsl:attribute>&lt;&lt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&lt;&lt;</td>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="position() &lt; $exceptions_count">
  				<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#exception_', position()+1)"/></xsl:attribute>&gt;&gt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&gt;&gt;</td>
				</xsl:otherwise>
			</xsl:choose>
  		<td><b><xsl:value-of select="concat(@class, ' : ', @message)"/></b></td>
  	</tr>
  </table>
  
  <table  class="lightred" border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
	  <xsl:apply-templates select="endfrefs"/>
	  <xsl:apply-templates select="nubaserefs"/>
  	<xsl:apply-templates select="position"/>
  	<xsl:apply-templates select="stacktrace"/>
  </table>

</xsl:template>


<!--
***********************************************************************************************************************
	Warnings
***********************************************************************************************************************
-->

<xsl:template match="warning">
  
  <a>
		<xsl:attribute name="name"><xsl:value-of select="concat('warning_', position())"/></xsl:attribute>
		<hr></hr>
<!--	  <h4><xsl:value-of select="@message"/></h4> -->
  </a>
  
  <!-- navigation -->
  <table border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
  	<tr class="yellow">
  		<td width="1"><xsl:value-of select="concat(position(), '/', $warnings_count)"/></td>
  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#list_warning_', position())"/></xsl:attribute>list</a></td>
			<xsl:choose>
				<xsl:when test="position() &gt; 1">
		  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#warning_', position()-1)"/></xsl:attribute>&lt;&lt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&lt;&lt;</td>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="position() &lt; $warnings_count">
		  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#warning_', position()+1)"/></xsl:attribute>&gt;&gt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&gt;&gt;</td>
				</xsl:otherwise>
			</xsl:choose>
  		<td><b><xsl:value-of select="@message"/></b></td>
  	</tr>
  </table>
  
  <table  class="lightyellow" border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
	  <xsl:apply-templates select="endfrefs"/>
	  <xsl:apply-templates select="nubaserefs"/>
  	<xsl:apply-templates select="position"/>
  </table>

</xsl:template>



<!--
***********************************************************************************************************************
	Statistics
***********************************************************************************************************************
-->

<xsl:template match="statistics/counts/entry">
  
  <a>
		<xsl:attribute name="name">
			<xsl:value-of select="concat('stats_counts_', position())"/>
		</xsl:attribute>
		<hr></hr>
<!--	  <h4><xsl:value-of select="@message"/></h4> -->
  </a>
  
  <!-- navigation -->
  <table border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
  	<tr class="green">
  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#list_stats_counts_', position())"/></xsl:attribute>list</a></td>
			<xsl:choose>
				<xsl:when test="position() &gt; 1">
		  		<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#stats_counts_', position()-1)"/></xsl:attribute>&lt;&lt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&lt;&lt;</td>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="position() &lt; $statistics_count">
  				<td width="1"><a><xsl:attribute name="href"><xsl:value-of select="concat('#stats_counts_', position()+1)"/></xsl:attribute>&gt;&gt;</a></td>
				</xsl:when>
				<xsl:otherwise>
		  		<td width="1">&gt;&gt;</td>
				</xsl:otherwise>
			</xsl:choose>
  		<td width="1"><xsl:value-of select="@count"/></td>
  		<td><b><xsl:value-of select="@key"/></b></td>
  	</tr>
  </table>
  
  <table  class="lightgreen" border="1" cellspacing="2" cellpadding="3" width="100%" style="font-size:80%">
	  <xsl:apply-templates select="endfrefs"/>
	  <xsl:apply-templates select="nubaserefs"/>
<!--  	<xsl:apply-templates select="position"/> -->
  </table>

</xsl:template>



<!--
***********************************************************************************************************************
	XForms shared by exceptions, warnings and statistics
***********************************************************************************************************************
-->

<xsl:template match="position">
  <tr><td width="1">File</td><td>
  	<xsl:value-of select="@file"/>
  	zip=<xsl:value-of select="@zip"/>
  	line=<xsl:value-of select="@line"/>
  	offset=<xsl:value-of select="@offset"/>
  </td></tr>
</xsl:template>

<xsl:template match="stacktrace">
  <tr><td width="1">Stacktrace</td><td>
  	<pre class="trace"><xsl:value-of select="."/></pre>
  </td></tr>
</xsl:template>

<xsl:template match="nubaserefs">
  <tr class="a"><td width="1">NUBASE</td><td>
  	Z=<xsl:value-of select="@z"/>
  	A=<xsl:value-of select="@a"/>
  	State=<xsl:value-of select="@state"/>
  </td></tr>
</xsl:template>

<xsl:template match="endfrefs">
	<tr><td width="1">ENDF</td><td>
  	Z=<xsl:value-of select="@z"/>
  	A=<xsl:value-of select="@a"/>
  	State=<xsl:value-of select="@state"/>
  	MF=<xsl:value-of select="@mf"/>
  	MT=<xsl:value-of select="@mt"/>
  	MAT=<xsl:value-of select="@mat"/>
  	NLIB,NVER=<xsl:value-of select="@nlib_nver"/>
  	NSUB=<xsl:value-of select="@nsub"/>
  	NMOD=<xsl:value-of select="@nmod"/>
  </td></tr>
</xsl:template>

</xsl:stylesheet>
